#!/bin/sh

extension="karman_brodie_Fh";

b=15.

#############
# Fh=1.1

Fh=1.1
omega=0.
brunt=0.9091
facteur=1.

sed -e "s/2omega_______________________   .*/2omega_______________________   $omega/" \
    -e "s/    brunt_vaisala_frequency__ .*/    brunt_vaisala_frequency__   $brunt/" \
    job_karman_brodie.sh > job_${extension}.sh

sed 's#dir_save_gaya=\"/u/rech/bll/rbll200/von_karman_kappa_0.2/.*#dir_save_gaya=\"/u/rech/bll/rbll200/von_karman_kappa_0.2/Fh_1.1\"#' job_${extension}.sh > job_${extension}_bis.sh

for bkzFh in 8.32
do
  if [ $bkzFh = 0 ]; then
    kz=0. ;
	lz=0. ;
  else
	kz=`echo "scale=8; ($bkzFh*$facteur)/($b*$Fh)" | bc` ;
    lz=`echo "scale=2; 2*3.1416/$kz" | bc` ;
  fi

  echo $bkzFh $facteur $kz $lz ;

  sed "s/lz___________________________   .*/lz___________________________   $lz/" job_${extension}_bis.sh > job_${extension}.sh
  chmod 744 *
  ./job_${extension}.sh	
done
