sleep 1

liste_fichier=`find test_speed_zahir_openmp_256x256x256_essl -name listing.txt -print`;

printf "\nDimensions:\n"

for nom_fichier in $liste_fichier
do
  awk '/DIMENSIONS OF THE SIMULATION/ {printf "%i %i %i\n", $5, $7, $9}' $nom_fichier ;  
done

printf "\nNumber of threads or MPI:\n"
for nom_fichier in $liste_fichier
do
  awk '/threads:/ {printf "%i\n", $8}' $nom_fichier;
  awk '/NUMBER OF MPI PROCESSES/ {printf "%i\n", $5}' $nom_fichier;
done

printf "\nTiming of the time_stepping:\n"
for nom_fichier in $liste_fichier
do
  awk '/time_stepping/ {printf "%f\n", $4}' $nom_fichier  | tail -2 | head -1;
done

printf "\nTiming of the initialization:\n"
for nom_fichier in $liste_fichier
do
  awk '/initialization/ {printf "%f\n", $4}' $nom_fichier  | tail -1 | head -1;
done

printf "\nFrequence du processeur:\n"
for nom_fichier in $liste_fichier
do
  awk '/frequency/ {print $2}' $nom_fichier  | tail -10 | head -1;
done
