#!/bin/sh

extension="brodie";

Fh=0.1;
b=15.;

#############
# Ro=6

omega=0.1667
facteur=0.67

sed "s/2omega_______________________   .*/2omega_______________________   $omega/" job_simple_brodie_modif_ssh.sh > job_${extension}.sh

sed 's#dir_save_gaya=\"/u/rech/bll/rbll200/simple/.*#dir_save_gaya=\"/u/rech/bll/rbll200/simple/Ro_6\"#' job_${extension}.sh > job_${extension}_bis.sh

for bkzFh in 2 3 4 5 6 7 8 9
do
  if [ $bkzFh = 0 ]; then
    kz=0. ;
	lz=0. ;
  else
	kz=`echo "scale=8; ($bkzFh*$facteur)/($b*$Fh)" | bc` ;
    lz=`echo "scale=2; 2*3.1416/$kz" | bc` ;
  fi

  echo $bkzFh $facteur $kz $lz ;

  sed "s/lz___________________________   .*/lz___________________________   $lz/" job_${extension}_bis.sh > job_${extension}.sh
  chmod 744 *
  ./job_${extension}.sh	
done


#############
# Ro=2

omega=0.5
facteur=0.47

sed "s/2omega_______________________   .*/2omega_______________________   $omega/" job_simple_brodie_modif_ssh.sh > job_${extension}.sh

sed 's#dir_save_gaya=\"/u/rech/bll/rbll200/simple/.*#dir_save_gaya=\"/u/rech/bll/rbll200/simple/Ro_2\"#' job_${extension}.sh > job_${extension}_bis.sh

for bkzFh in 5 6 7 8 9
do
  if [ $bkzFh = 0 ]; then
    kz=0. ;
	lz=0. ;
  else
	kz=`echo "scale=8; ($bkzFh*$facteur)/($b*$Fh)" | bc` ;
    lz=`echo "scale=2; 2*3.1416/$kz" | bc` ;
  fi

  echo $bkzFh $facteur $kz $lz ;

  sed "s/lz___________________________   .*/lz___________________________   $lz/" job_${extension}_bis.sh > job_${extension}.sh
  chmod 744 *
  ./job_${extension}.sh	
done
